package com.yiqi.common.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum ActivityType implements CodeEnum{
    recharge("0", "充值多送"),
    regist("1", "注册送券"),
    all_discount("2", "全场折扣"),
    cloth_discount("3", "指定折扣"),

    group("4", "拼团送券"),
    ;

    private final String code;
    private final String info;

    ActivityType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
